linux-armadaxp: 3.2.0-1636.53 -proposed tracker

Bug #1338870 reported by Brad Figg on 2014-07-08
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Ike Panhc
Automated-testing
Medium
Unassigned
Certification-testing
Medium
Unassigned
Prepare-package
Medium
Ike Panhc
Prepare-package-meta
Medium
Ike Panhc
Promote-to-proposed
Medium
Chris J Arges
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Para Siva
Security-signoff
Medium
Unassigned
Upload-to-ppa-dnu
Medium
Ike Panhc
Verification-testing
Medium
Ike Panhc
linux-armadaxp (Ubuntu)
Medium
Unassigned
Precise
Medium
Ike Panhc

Bug Description

This bug is for tracking the 3.2.0-1636.52 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 08. July 2014 04:06 UTC
kernel-stable-master-bug:1338654
kernel-stable-Certification-testing-end:Wednesday, 09. July 2014 07:05 UTC
kernel-stable-Security-signoff-end:Wednesday, 09. July 2014 07:05 UTC
kernel-stable-Prepare-package-end:Wednesday, 09. July 2014 11:04 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 09. July 2014 11:04 UTC
ppa-package-testing-start:Wednesday, 09. July 2014 11:04 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 10. July 2014 08:09 UTC
kernel-stable-Verification-testing-start:Thursday, 10. July 2014 09:47 UTC
kernel-stable-Regression-testing-start:Thursday, 10. July 2014 09:47 UTC
kernel-stable-Regression-testing-end:Saturday, 12. July 2014 15:04 UTC
kernel-stable-Promote-to-updates-end:Wednesday, 16. July 2014 20:03 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Wednesday, 16. July 2014 21:07 UTC

This tracking bug was opened to be worked from linux-3.2.0-67.100 update (bug 1338654)

tags: added: kernel-release-tracking-bug
tags: added: armhf
tags: added: precise
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-armadaxp (Ubuntu):
importance: Undecided → Medium
Changed in linux-armadaxp (Ubuntu Precise):
importance: Undecided → Medium
Ike Panhc (ikepanhc) on 2014-07-09
summary: - linux-armadaxp: <version to be filled> -proposed tracker
+ linux-armadaxp: 3.2.0-1636.52 -proposed tracker
description: updated
Changed in linux-armadaxp (Ubuntu Precise):
assignee: nobody → Ike Panhc (ikepanhc)
Changed in linux-armadaxp (Ubuntu):
status: New → Invalid
Changed in kernel-sru-workflow:
assignee: nobody → Ike Panhc (ikepanhc)
Brad Figg (brad-figg) on 2014-07-09
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Ike Panhc (ikepanhc) on 2014-07-09
Changed in linux-armadaxp (Ubuntu Precise):
status: New → In Progress

Promoted 3.2.0-1636.52 to proposed.

Brad Figg (brad-figg) on 2014-07-10
description: updated
Brad Figg (brad-figg) on 2014-07-10
description: updated
Para Siva (psivaa) on 2014-07-12
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2014-07-12
description: updated
Ike Panhc (ikepanhc) wrote :

Rebase only

Luis Henriques (henrix) on 2014-07-16
summary: - linux-armadaxp: 3.2.0-1636.52 -proposed tracker
+ linux-armadaxp: 3.2.0-1636.53 -proposed tracker
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-armadaxp - 3.2.0-1636.53

---------------
linux-armadaxp (3.2.0-1636.53) precise; urgency=low

  [ Andy Whitcroft ]

  * rebase to Ubuntu-3.2.0-67.101

  [ Ubuntu: 3.2.0-67.101 ]

  * l2tp: Privilege escalation in ppp over l2tp sockets
    - LP: #1341472
    - CVE-2014-4943

linux-armadaxp (3.2.0-1636.52) precise; urgency=low

  [ Ike Panhc ]

  * Release Tracking Bug
    - LP: #1338870
  * Rebase to Ubuntu-3.2.0-67.100

  [ Ubuntu: 3.2.0-67.100 ]

  * Merged back Ubuntu-3.2.0-65.99 security release
  * Revert "x86_64,ptrace: Enforce RIP <= TASK_SIZE_MAX (CVE-2014-4699)"
    - LP: #1337339
  * Release Tracking Bug
    - LP: #1338654
  * ptrace,x86: force IRET path after a ptrace_stop()
    - LP: #1337339
    - CVE-2014-4699

linux-armadaxp (3.2.0-1636.51) precise-proposed; urgency=low

  [ Ike Panhc ]

  * Release Tracking Bug
    - LP: #1336144
  * Rebase to Ubuntu-3.2.0-66.99

  [ Ubuntu: 3.2.0-66.99 ]

  * Release Tracking Bug
    - LP: #1335906
  * skbuff: export skb_copy_ubufs
    - LP: #1298119
    - CVE-2014-0131
  * skbuff: add an api to orphan frags
    - LP: #1298119
    - CVE-2014-0131
  * skbuff: skb_segment: orphan frags before copying
    - LP: #1298119
    - CVE-2014-0131
  * lib/lzo: Rename lzo1x_decompress.c to lzo1x_decompress_safe.c
    - CVE-2014-4608
  * lib/lzo: Update LZO compression to current upstream version
    - CVE-2014-4608
  * lzo: properly check for overruns
    - CVE-2014-4608
  * KVM: x86 emulator: add support for vector alignment
    - LP: #1330177
  * KVM: x86: emulate movdqa
    - LP: #1330177
 -- Andy Whitcroft <email address hidden> Tue, 15 Jul 2014 10:19:39 +0100

Changed in linux-armadaxp (Ubuntu Precise):
status: In Progress → Fix Released
Brad Figg (brad-figg) on 2014-07-16
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers